From mboxrd@z Thu Jan  1 00:00:00 1970
From: Michael Forney <mforney@mforney.org>
To: list+catgirl@causal.agency
Subject: [PATCH 1/2] Break out of input loop when UI is hidden
Date: Thu, 17 Jun 2021 11:21:42 -0700
Message-Id: <20210617182143.17471-2-mforney@mforney.org>
In-Reply-To: <20210617182143.17471-1-mforney@mforney.org>
References: <20210617182143.17471-1-mforney@mforney.org>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit

Otherwise, wget_wch() is called immediately after hiding the UI
with M-l, which restores curses mode when using NetBSD's libcurses.
---
 ui.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/ui.c b/ui.c
index 8f8de1e..8d1f089 100644
--- a/ui.c
+++ b/ui.c
@@ -1075,7 +1075,7 @@ void uiRead(void) {
 
 	wint_t ch;
 	static bool paste, style, literal;
-	for (int ret; ERR != (ret = wget_wch(input, &ch));) {
+	for (int ret; !hidden && ERR != (ret = wget_wch(input, &ch));) {
 		if (ret == KEY_CODE_YES && ch == KeyPasteOn) {
 			paste = true;
 		} else if (ret == KEY_CODE_YES && ch == KeyPasteOff) {
-- 
2.31.1


